### Method

# Foundry TweakProvider register

#### Declaration [src]

    guint
    foundry_tweak_provider_register (
      FoundryTweakProvider* self,
      const char* gettext_package,
      const char* base_path,
      const FoundryTweakInfo* info,
      guint n_infos,
      const char* const* environment
    )

#### Description

No description available.

#### Parameters

`gettext_package`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`base_path`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`info`

  Type: `FoundryTweakInfo`

  No description available.

  The data is owned by the caller of the method.

`n_infos`

  Type: `guint`

  No description available.

`environment`

  Type: `const char* const*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

No description available.